/*
 * ESP8266 RGBW controller
 * Copyright 2020 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/RGBWifi
*/
#include "./config.h"

#ifdef SerialDebug
const uint32_t SerialDebugBaudrate = 115200;
const uint32_t SerialDebugStartupDelay = 2000;
#endif


const char* ConnectionSettingsFile = "/connection.json";
const char* SystemSettingsFile = "/system.json";


const char* DefaultAPSSIDPrefix = "RGBWifi-";

// Timeout when in AP + station mode (otherwise trying to connect
// to the STA will block the AP)
const uint32_t StationModeTimeout = 30000;

const uint16_t APButtonHoldTime = 2000;


const uint8_t InitialisationBrightness = 128;
const uint8_t InitialisationFadeTime = 250;
const uint8_t InitialisationBlinkCount = 2;
