/*
 * ESP8266 RGBW controller
 * Copyright 2020 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/RGBWifi
*/
#ifndef __config
#define __config

#include <stdint.h>


// Enables debug information to be output through the standard
// Serial connection, disable in production units to improve performance
//#define SerialDebug

// Enables the crash API methods to cause crashes, you probably never
// want to leave this on unless you're debugging the exception handler
//#define EnableCrashAPI


#define NeoPixelBusFeature NeoGrbwFeature
#define NeoPixelBusMethod Neo800KbpsMethod



#ifdef SerialDebug
extern const uint32_t SerialDebugBaudrate;
extern const uint32_t SerialDebugStartupDelay;
#endif


extern const char* ConnectionSettingsFile;
extern const char* SystemSettingsFile;


extern const char* DefaultAPSSIDPrefix;

extern const uint32_t StationModeTimeout;
extern const uint16_t APButtonHoldTime;


extern const uint32_t TimezoneRetryInterval;


extern const uint8_t InitialisationBrightness;
extern const uint8_t InitialisationFadeTime;
extern const uint8_t InitialisationBlinkCount;

#endif