/*
 * ESP8266 RGBW controller
 * Copyright 2020 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/RGBWifi
*/
#ifndef __global
#define __global

#include <stdint.h>
#include <stdbool.h>
#include <IPAddress.h>
#include <EspSaveCrash.h>
#include "./settings/connection.h"
#include "./settings/system.h"
#include "./strip.h"

extern ConnectionSettings* connectionSettings;
extern bool connectionSettingsChanged;

extern SystemSettings* systemSettings;
extern bool systemSettingsChanged;

extern EspSaveCrash SaveCrash;
extern Strip* strip;

extern bool shouldReboot;

extern uint32_t currentTime;

extern IPAddress emptyIP;

#endif