export default {
  title: 'RGBWifi',
  systemID: 'System ID: ',
  firmwareVersion: 'Firmware version: ',
  copyright: 'Copyright © 2020 Mark van Renswoude',
  loading: 'Please wait, loading...',
  rebootPending: 'The system will be rebooted, please refresh this page afterwards',

  applyButton: 'Apply',
  applyButtonSaving: 'Saving...',
  deviceTime: 'Time: ',

  wifiStatus: {
    accesspoint: {
      title: 'AP: ',
      disabled: 'Disabled'
    },

    stationmode: {
      title: 'WiFi: ',
      disabled: 'Disabled',
      idle: 'Idle',
      noSSID: 'SSID not found',
      scanCompleted: 'Scan completed',
      connectFailed: 'Failed to connect',
      connectionLost: 'Connection lost',
      disconnected: 'Disconnected'
    }
  },

  status: {
    tabTitle: 'Status',
    title: 'Current status',

    static: 'Static color',
    staticOff: 'Off',

    rainbow: {
      title: 'Rainbow',
      speed: 'Speed (LEDs/second)',
      lightness: 'Lightness'
    }
  },

  connection: {
    tabTitle: 'Connection',
    title: 'Connection parameters',

    accesspoint: 'Enable access point',
    accesspointHint: 'Allows for a direct connection from your device to this RGBWifi module for configuration purposes. The RGBWifi configuration is available on http://192.168.1.4/ when you are connected to it. Turn it off as soon as station mode is configured, as it is not secured in any way. You can always turn this option back on by pushing the access point button until the LED lights up.',

    stationmode: 'Enable station mode',
    stationmodeHint: 'Connect this RGBWifi module to your own WiFi router. Please enter the SSID, password and further configuration below.',

    ssid: 'SSID',
    password: 'Password',

    dhcp: 'Use DHCP',
    dhcpHint: 'Automatically assigns an IP address to this RGBWifi module. You probably want to keep this on unless you know what you\'re doing.',

    ipaddress: 'IP address',
    subnetmask: 'Subnet mask',
    gateway: 'Gateway',
    hostname: 'Hostname',
    hostnameHint: 'If specified, this module is available at <hostname>.local if your device supports mDNS (at the time of writing, Android does not).',
    hostnamePlaceholder: 'Default: mac address'
  },

  system: {
    tabTitle: 'System',
    pinsTitle: 'Hardware pinout',
    ledStripTitle: 'LED strip',
    firmwareTitle: 'Firmware update',

    pinLEDAP: 'Access Point status LED pin (+3.3v)',
    pinLEDSTA: 'Station Mode status LED pin (+3.3v)',
    pinAPButton: 'Enable Access Point button pin (active low)',

    ledCount: 'Number of LEDs on strip',

    noFileSelected: 'No firmware file selected'
  },

  error: {
    loadStatus: 'Could not load system status',
    loadConnection: 'Could not load connection settings',
    loadSystem: 'Could not load system settings',
    applyConnection: 'Could not save connection settings',
    applySystem: 'Could not save system settings',
    updateWiFiStatus: 'Could not retrieve WiFi status',
    uploadFirmware: 'Error while uploading firmware',

    setColor: 'Could not set color',
    getStripStatus: 'Could not retrieve the strip status',

    resetError: 'The system reports that it has been reset unexpectedly. The last power up status is:',
    resetReason: {
      0: 'Normal startup',
      1: 'Unresponsive, reset by hardware watchdog',
      2: 'Unhandled exception',
      3: 'Unresponsive, reset by software watchdog',
      4: 'System restart requested',
      5: 'Wake up from deep sleep',
      6: 'System reset'
    },
    stackTrace: 'A stack trace is available. Please send it to your nearest developer and/or delete it from this RGBWifi module to remove this message.',
    stackTraceDownload: 'Download',
    stackTraceDelete: 'Hide',

    stackTraceDeleteError: 'Could not remove stack trace'
  }
}